<style>

#impresion{
   width:216mm;
  

   margin: 0;
 
 padding: 0;
 
 
}
#empresa{
   display:flex;
  
}
#titulo{
   display: flex; 
   justify-content:  center;

   font-size: 30px;
   margin: 0;
   text-align: center;
   padding: 0;
  
  
   
}


#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
   
   padding: 0;

}

table{
   font-size: 13px;
   

}
#infoventas{
   
   display:flex;
}

.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;
font-size: 15px;
}
.produ{
   text-align: left;
}

#totalll{
   width: 40%;
  
   text-align: center;
  
 font-size: 27px;
}
#totalll p{
   font-size: 20px;
  
}
#datoempresa{
   width: 100%;

 /*text-align: right;*/
 text-align: center;
   
  
}
#datodian{
   margin-left: 2%;
   width: 30%;
  
}
#datoscliente p{
   font-size: 17px;
  
}
#qr{
   display: flex;
   justify-content:  center;
   
}

</style>



<div id="impresion" >



<br>

<div id="titulo">

<?php
   if($logo!=""){
      echo(" 

      <div id=''>
             <img src='facturacion/$logo' width='290' height='80'> 
       </div>
      ");

   }
   ?>

     

      <div id="tit">
             <h6><?php print($nombreNegocio); ?> </h6>
             <h6><?php print($direccion); ?>  </h6>
      </div>  
  

</div>

<?php

use PhpParser\Node\Expr\Isset_;

$idc=$_POST["idc"];
$nombrec=$_POST["nombrec"];
$direc=$_POST["direc"];
$nombrev=$_POST["nombrev"];
$fecha=$_POST["fecha"];
$factura=$_POST["numf"];
$correo=$_POST["correo"];
$detalleFa=$_POST["detallef"];
$tipofactura=$_POST["tipofactura"];
$descuento=$_POST["descuento"];
$regimen=$_POST["regimen"];

$profeijoFa=$profijo;

if(isset($_POST["valorcufe"])){


   $valorcufe=$_POST["valorcufe"];
   if($valorcufe==1){
      $profeijoFa=$prefijoElectro;
   }
}


echo("<hr>");
?>

<div id="empresa">
<?php

print("<br>");

echo("<div id='datoempresa'>");
   print("<p class='empresa:'>$representante  Nit:" .$nit."  " ."  Tel: ".$tel."  " ." </p> ");
  // print(" <p class='empresa'>Nit:".$_SESSION["nit"]."  " ."</p>  ");
  // print(" <p class='empresa'>regimen comun"."  " ." </p> ");
  // print(" <p class='empresa'>Tel: ".$_SESSION["tel"]."  " ." </p> ");
echo("</div>");


      ?>
</div>   

<?php
        echo("<hr>");
        print("<div id='titulo'><h6>Detalle Pedido</h6> </div>");   
 echo("<div id='datoscliente'>");             
print("<p>SISTEMA $tipofactura : <strong>" .substr("$factura",3)."</strong>  ".  "fecha: <strong>" .$fecha. "</strong>  "." Asesor: <strong>".$nombrev."</strong> </p>");
print("<p>Cliente:<strong> ".$idc. "</strong>   " . "Nombre: <strong> ".$nombrec  . " </strong> ". "  Direc:<strong> ".$direc . " ". $nombreCity."</strong> ". "  Correo:<strong> ".$correo ."</strong> </p>");
//print("<p>Nombre:".$nombrec  ." </p>");
//print("<p>Direc: ".$direc ." </p>");
//print("<p>Vendor:".$nombrev." </p>");
echo("</div>");  
//echo("<hr>");

echo("<hr>");



$produc=$_POST["factura"];
$fila = json_decode($produc,true);  
$total=$_POST["total"];
//regimen comun
$iva5=(int) $_POST["iva5"];
$iva19=(int)$_POST["iva19"];
$base5=(int)$_POST["base5"];
$base19=(int)$_POST["base19"];
$excento=(int)$_POST["excento"];
$totaliva=(int)$iva5+$iva19;
$excluido=(int)$_POST["excluido"];
$cambio=(int)$_POST["devuleta"];
$subtotal=$base19+$base5+$excento+$excluido;
//fin regimen comun



echo("<table id='tproductos'  WIDTH='100%' border='1' >
             <tr class='produ'>
              
	           <th>Codigo
              <th>Nombre
              <th>V.Antes.Iva
				  <th>Caja
              <th>Frcc
              <th>Base
              <th>iva
            
              <th>tipo.Iva
              <th>Descu
              <th>Total

       </tr>  ");
       foreach($fila as $valor) {
         $codigo=$valor["Codigo"];
         $nombre=$valor["Nombre"];
         $caja=$valor["Cantida_caja"];
         $frcc=$valor["Cantida_frcc"];
         $valot=($precio=$valor["precio"]);
         $tipoiva=$valor["tipo"];
         $Base=($valor["Base"]);
         $iva=number_format($valor["iva"]);
         $Descu=number_format($valor["Descu"]);
         
         
           if(!is_numeric($frcc)){
            $frcc=0;
              }
            if(!is_numeric($caja)){
                $caja=0;
            }
         
         
         if($Base==0){
             
           if($frcc==0 and $caja>0){
            $totalunida=$valot/$caja;
          }elseif($frcc>0 and $caja==0){
            $totalunida=$valot/$frcc;

           }elseif($frcc>0 and $caja>0){

            $totalunida=($valot/$caja);
            


           }   
             
         }else{
        
         if($frcc==0 and $caja>0){
            $totalunida=$Base/$caja;
          }elseif($frcc>0 and $caja==0){
            $totalunida=$Base/$frcc;

           }elseif($frcc>0 and $caja>0){

            $totalunida=($Base/$caja);
            


           }
           
         }
           $Base=number_format($Base);
        $valot =number_format($valot);
        $totalunida=number_format($totalunida);
       
         echo("
               <tr>  
               
               <td>$codigo 
               <td>$nombre
               <td>$totalunida 
               <td>$caja
               <td>$frcc
               <td>$Base
               <td>$iva
               <td>$tipoiva
               <td>$Descu
               <td>$valot
               </tr>
               ");
      
            }
     		echo("</table><br>");





?>
<div id="titulo">
 <h6>Detalle: <?php echo($detalleFa); ?></h6>
</div>
<?php

//ccomun

$total5=$base5+$iva5;
$totall9=$base19+$iva19;
echo("<hr>");
?>
<div id="infoventas">
<?php
if($regimen==1){
echo"<table  WIDTH='30%'  >
	          <tr class='sr'>
	           <th>Tipo
				  <th>Base
				  <th>Iva
				  <th>Total              
       </tr>  

       <tr>    
       <td>0       
       <td>$excento
       <td>0
       <td>$excento
       </tr>
       <tr>    
       <td>1         
       <td>$excluido
       <td>0
       <td>$excluido
       </tr>
       <tr>    
       <td>5%        
       <td>$base5
       <td>$iva5
       <td>$total5
       </tr>

       <tr>    
       <td>19%        
       <td>$base19
       <td>$iva19
       <td>$totall9
       </tr>


     			</table><br>";

}else{

   echo("<table  WIDTH='30%'> </table><br>");
}
//fin comun
print("<div id='totalll'>");



echo(" <h6> Subtotal:  ".number_format($subtotal)."</h6>");
if($regimen==1){
echo("<h6> Iva:  ".number_format($totaliva)."</h6>");
}
echo("<h6> Dto:  ".number_format($descuento)."</h6>");
//fin comun


echo("<h6> Total:  ".number_format($total)."</h6>");


echo("<h6> Cambio:  ".number_format($cambio)."</h6>");

//echo("<h6> Cambio:  ".number_format($cambio)."</h6>");
print("</div>");



//resolucion de la dias opcion 2

// echo("<div id='datodian'>");
//       print(" <p class='empresa'>Resolucion Dian:1223232322323 </p> ");
//       print(" <p class='empresa'>Rango:M1 a la M1000  </p> ");
//       print(" <p class='empresa'>Fecha: 2021/12/03 </p> ");
     
// echo("</div>");


$valorcufe=0;
$cufe=0;
if(isset($_POST["valorcufe"])){
   $valorcufe=$_POST["valorcufe"];
         if($valorcufe==1){



            echo("
            <div id='datodian'>
               <p class='empresa'>R.dian: $ResolucionElectronico  del  $Efecha</p>
               <p class='empresa'>Prefijo: $prefijoElectro  Rango:$Erango</p>
               <p class='empresa'>Vigencia:$Evigencia</p>
            </div>
      ");
         }else{

            if($r_dian==""){

            }else{
               echo("
               <div id='datodian'>
                  <p class='empresa'>R.dian: $r_dian  del  $fechaResol</p>
                  <p class='empresa'>Prefijo: $profijo  Rango: $rango</p>
                  <p class='empresa'>Vigencia:$vigencia</p>
               </div>
             ");
            }
         }
      
      
      
      
      }

?>
</div >
<?php




?>
<script src="facturacion/qrious.js"></script>

<?php
            // $valorcufe=0;
            // $cufe=0;
            // if(isset($_POST["valorcufe"])){
            //    $valorcufe=$_POST["valorcufe"];
                     if($valorcufe==1){


                        $cufe=$_POST["cufe"];
                        echo("
                        <div id='qr'>
                        <img alt='C贸digo QR'  id='codigo'>
                        </div>
                        <div id='comentario' >Cufe:$cufe </div>");



                  
               }
            ?>




<div id="titulo">
<?php





echo("<hr>");


if(isset($_POST["copia"])=="copia"){
  echo(" <h6>Copia</h6>");
}

echo("<hr>");

echo("<p>$mensajeFactur</p>");

?>
  


</div>







<script type='text/javascript'>
// window.print();
// setTimeout(window.close, 300);

function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);
 
 var valorcuf='<?php echo($valorcufe);  ?> '
 if(valorcuf==1){


    const $imagen = document.querySelector("#codigo")
			
		// new QRious({
		// 	element: $imagen,
		// 	value: "https://catalogo-vpfe.dian.gov.co/document/searchqr?documentkey=<?php echo($cufe); ?>", // La URL o el texto
		// 	size: 130,
		// 	backgroundAlpha: 0, // 0 para fondo transparente
		// 	foreground: "black", // Color del QR
		// 	level: "Q", // Puede ser L,M,Q y H (L es el de menor nivel, H el mayor)
		// });


      const cufe = "<?php echo $cufe; ?>";

    if (cufe.length > 25) {
        new QRious({
            element: $imagen,
            value: "https://catalogo-vpfe.dian.gov.co/document/searchqr?documentkey=" + cufe,
            size: 130,
            backgroundAlpha: 0,
            foreground: "black",
            level: "Q"
        });
    }

 
 }


 
</script>

</div>